# HierarchyMaintainer.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <map>`
`#include <vector>`
`#include <log4cpp/Category.hh>`
`#include <log4cpp/threading/Threading.hh>`

Include dependency graph for HierarchyMaintainer.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::HierarchyMaintainer
| HierarchyMaintainer is an internal log4cpp class. More...